package org.springblade.audit.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.audit.entity.IntProvinceIrregular;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 不规范定制处罚明细数据 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
public interface IntProvinceIrregularMapper extends BaseMapper<IntProvinceIrregular> {

    void giveSpidSoul(@Param("theMonth") String theMonth);

	void giveSpidSoulTwo(@Param("theMonth") String theMonth);

	void deleteRepeatData(@Param("theMonth") String theMonth);

	void settingFileTag(@Param("theMonth") String theMonth);

}
